Index: /trunk/admin/versione.php
===================================================================
--- /trunk/admin/versione.php	(revision 419)
+++ /trunk/admin/versione.php	(revision 420)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 419";
+$versione = "3.0 rev 420";
 $version_number = $versione;
-$datarel = "31 maggio 2024";
+$datarel = "03 giugno 2024";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
Index: /trunk/client/modules/Elezioni/blocchi/gom_affluenze.php
===================================================================
--- /trunk/client/modules/Elezioni/blocchi/gom_affluenze.php	(revision 419)
+++ /trunk/client/modules/Elezioni/blocchi/gom_affluenze.php	(revision 420)
@@ -33,5 +33,5 @@
 	
 
-  		$sql="select t3.id_sez from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos  group by t3.id_sez "; 
+  		$sql="select t3.id_sez from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos  group by t3.id_sez ";
 	$res1 = $dbi->prepare("$sql");
 	$res1->execute();
@@ -65,5 +65,5 @@
                 while(list($voti_t, $num_gruppo,$id_gruppo) = $res1->fetch(PDO::FETCH_NUM)) {
 
-			$sql="select sum(t3.voti_complessivi)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
+			$sql="select t3.voti_complessivi from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
             if ($genere==0){$sql.=" and t3.id_gruppo='$id_gruppo'";}
 			$res_aff = $dbi->prepare("$sql");
@@ -72,19 +72,16 @@
 			$voti_numero=$res_aff->rowCount();
               	
-			$sql="select sum(t1.maschi+t1.femmine)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
-			
+			$sql="select sum(t1.maschi+t1.femmine)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";					
 			if ($genere==0){$sql.=" and id_gruppo='$id_gruppo'";}
 			$res1234 = $dbi->prepare("$sql");
 			$res1234->execute();
-
-                	list($tot)=$res1234->fetch(PDO::FETCH_NUM);
-                	if ($tot)
+			list($tot)=$res1234->fetch(PDO::FETCH_NUM);
+			if ($tot)
 			    $perc=number_format($voti_t*100/$tot,2);
 			else {$tot=0;$perc="0.00";}
-			if($voti_t<=$tot){
-	  
+			if($voti_t<=$tot){	  
 			$resto=100-$perc;
 			if ($genere==0){echo "<div style=\"text-align:center;margin-left: 10px;\"><hr/>referendum n. $num_gruppo</div>";}
-			echo "<div>sezioni n. $numero su $sezioni</div>";
+			echo "<div style=\"text-align:center;\">sezioni n. $voti_numero su $sezioni</div><br/>";
 			echo "<div style=\"text-align:center;\">";
 			##########################<script type=\"text/javascript\" src=\"https://www.gstatic.com/charts/loader.js\"></script>
@@ -94,6 +91,6 @@
 			google.charts.setOnLoadCallback(drawGauge);
 
-			var gaugeOptions = {min: 0, max: 100, yellowFrom: 100, yellowTo: 100,
-			  redFrom: 100, redTo: 100, minorTicks: 5};
+			var gaugeOptions = {min: 0, max: 100, greenFrom: 0, greenTo: $perc,
+			  yellowFrom: $perc, yellowTo: 100, minorTicks: 5};
 			var gauge;
 
@@ -104,9 +101,9 @@
 			  gaugeData.setCell(0, 0, $perc);
 		 
-			  gauge = new google.visualization.Gauge(document.getElementById('gauge_div'));
+			  gauge = new google.visualization.Gauge(document.getElementById('gauge_div$num_gruppo'));
 			  gauge.draw(gaugeData, gaugeOptions);
 			}
 			</script>";
-			echo "<div id=\"gauge_div\" style=\"width:130px; height: 130px; ;margin-left: 30px\"></div> <a href=\"modules.php?id_cons_gen=$id_cons_gen&name=Elezioni&id_comune=$id_comune&file=index&op=affluenze_graf\">Tutte le affluenze</a> 
+			echo "<div id=\"gauge_div$num_gruppo\" style=\"width:130px; height: 130px;margin-left: auto;margin-right:auto;\"></div> <a href=\"modules.php?id_cons_gen=$id_cons_gen&name=Elezioni&id_comune=$id_comune&file=index&op=affluenze_graf\">Tutte le affluenze</a> 
 			</div>";
 
Index: /trunk/client/modules/Elezioni/blocchi/pie_affluenze.php
===================================================================
--- /trunk/client/modules/Elezioni/blocchi/pie_affluenze.php	(revision 419)
+++ /trunk/client/modules/Elezioni/blocchi/pie_affluenze.php	(revision 420)
@@ -64,6 +64,6 @@
             while(list($voti_t, $num_gruppo,$id_gruppo) = $res1->fetch(PDO::FETCH_NUM)) {
 
-				$sql="select sum(t3.voti_complessivi)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
-						if ($genere==0){$query.=" and t3.id_gruppo=$id_gruppo";}
+				$sql="select t3.voti_complessivi  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
+						if ($genere==0){$sql.=" and t3.id_gruppo=$id_gruppo";}
 				$res_aff = $dbi->prepare("$sql");
 				$res_aff->execute();
@@ -73,5 +73,5 @@
 				$sql="select sum(t1.maschi+t1.femmine)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
 				
-				if ($genere==0){$query.=" and id_gruppo=$id_gruppo";}
+				if ($genere==0){$sql.=" and t3.id_gruppo=$id_gruppo";}
 				$res1234 = $dbi->prepare("$sql");
 				$res1234->execute();
@@ -83,8 +83,8 @@
 				$resto=100-$perc;
 				if ($genere==0){echo "<div style=\"text-align:center\">referendum n. $num_gruppo</div";}
-				echo '<center>
-				<div id="piechart" style="width:100%; min-height:200px;"></div><br/>
+				echo '<center><div style="text-align:center;color:#ff0000"><b>'.$perc.' %</b><br/>Sezioni '.$voti_numero.' su '.$numsez.'</div>
+				<div id="piechart'.$num_gruppo.'" style="width:100%; min-height:200px;"></div>
 				<a href="modules.php?id_cons_gen='.$id_cons_gen.'&name=Elezioni&id_comune='.$id_comune.'&file=index&op=affluenze_graf">Tutte le affluenze</a>
-				</center>
+				</center><hr>
 				<script>google.charts.load("current", {"packages":["corechart"]});
 				google.charts.setOnLoadCallback(drawChart);
@@ -111,5 +111,5 @@
 					  }
 				  };
-				  var chart = new google.visualization.PieChart(document.getElementById("piechart"));
+				  var chart = new google.visualization.PieChart(document.getElementById("piechart'.$num_gruppo.'"));
 
 				  chart.draw(data, options);
Index: /trunk/client/modules/Elezioni/consiglieri.php
===================================================================
--- /trunk/client/modules/Elezioni/consiglieri.php	(revision 419)
+++ /trunk/client/modules/Elezioni/consiglieri.php	(revision 420)
@@ -567,4 +567,5 @@
     $seggimin=array();
 	$assegnato=0;
+	$corrente=0;
     $seggimin=calcoloseggi($listemin,$num_cons,1);
     foreach ($seggimin as $lista=>$val){
@@ -573,4 +574,5 @@
     		$val--;
 			$assegnato=1;
+			$corrente=1;
     	}
       for ($z=0;$z<$val;$z++){
@@ -578,5 +580,6 @@
         	else $conselmin[]=array($desliste[$lista],$lists[$lista],$val,$arvin[$lista][($z)],$cifra[$lista][($z)],number_format($quozienti[$lista][$z],2));
 		}
-		if($arvin[$lista][($z)]) $conselmin[]=array($desliste[$lista],"$PNE","",$arvin[$lista][($z)],$cifra[$lista][($z)],number_format($quozienti[$lista][$z],2));
+		if($arvin[$lista][($z)] and $corrente) $conselmin[]=array($desliste[$lista],"$PNE","",$arvin[$lista][($z)],$cifra[$lista][($z)],number_format($quozienti[$lista][$z],2));
+		$corrente=0;
     }
 	foreach($conselcsne as $key=>$val) 
Index: /trunk/client/modules/Elezioni/rss.php
===================================================================
--- /trunk/client/modules/Elezioni/rss.php	(revision 419)
+++ /trunk/client/modules/Elezioni/rss.php	(revision 420)
@@ -50,5 +50,8 @@
 echo "<atom:link href=\"https://$siteurl?op=rss&amp;rss=1&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;id_cons_gen=$id_cons_gen\" rel=\"self\" type=\"application/rss+xml\" />\n";
 
+$id_gruppo = isset($param['id_gruppo']) ? intval($param['id_gruppo']) : 0;
 list ($gruppo,$pro,$titolo,$idg)=grupporss();
+#else
+#	list ($gruppo,$pro,$titolo,$idg)=grupporss();
 
 
@@ -61,7 +64,11 @@
     echo "<item>\n";
     echo "<title>".$gruppo[$x]." ".$pro[$x] ."% </title>\n";
-    echo "<link>https://$siteurl?op=rss&amp;rss=1&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;id_cons_gen=$id_cons_gen</link>\n";
-	echo "<guid>https://$siteurl?op=rss&amp;rss=1&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;gruppo=$idg[$x]</guid>\n";
-    
+	if ($genere==4){
+    echo "<link>https://$siteurl?op=rss&amp;rss=1&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;id_lista=$idg[$x]</link>\n";
+	echo "<guid>https://$siteurl?op=rss&amp;rss=1&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;id_lista=$idg[$x]</guid>\n";
+    }else{
+	echo "<link>https://$siteurl?op=rss&amp;rss=1&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;id_gruppo=$idg[$x]</link>\n";
+	echo "<guid>https://$siteurl?op=rss&amp;rss=1&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;id_gruppo=$idg[$x]</guid>\n";
+    }
 #    echo "<description><![CDATA['aa']]></description>\n";
 
@@ -85,24 +92,17 @@
 // gruppo
 function grupporss(){
-global $admin, $bgcolor1, $bgcolor5, $prefix, $dbi, $offset, $min,$descr_cons,$genere,$votog,$votol,$votoc,$circo, $id_cons,$id_cons_gen,$id_comune,$id_circ,$tipo_cons,$w,$l,$op,$siteistat,$flash,$circondt1,$lang;
-
-
-
-	
+global $admin, $bgcolor1, $bgcolor5, $prefix, $dbi, $offset, $min,$descr_cons,$genere,$votog,$votol,$votoc,$circo, $id_cons,$id_cons_gen,$id_comune,$id_circ,$tipo_cons,$w,$l,$op,$siteistat,$flash,$circondt1,$lang,$id_gruppo;
 	if ($genere!=0){$tab="ele_voti_gruppo";}
 	if ($genere==4){$tab="ele_voti_lista";}
-	if ($votog){$tab="ele_voti_lista";}
+	if ($votog or $id_gruppo){$tab="ele_voti_lista";}
+	if($id_gruppo) $idgrp="and t1.id_gruppo='$id_gruppo'"; else $idgrp='';
 	$sql="select id_sez  from ".$prefix."_$tab where id_cons='$id_cons' group by id_sez ";
 	$res = $dbi->prepare("$sql");
 	$res->execute();
-
-	
 	if ($res) $numero=$res->rowCount();else $numero=0;
 	$sql="select t2.*  from ".$prefix."_ele_sezioni as t2, ".$prefix."_ele_sede as t1 where t2.id_cons='$id_cons' and t1.id_sede=t2.id_sede $circondt1";
 	$res = $dbi->prepare("$sql");
 	$res->execute();
-
 	if ($res) $sezioni=$res->rowCount();else $sezioni=0;
-	
 	if ($numero>0){
 		if ($genere!=0){
@@ -115,44 +115,36 @@
 			$restotv->execute();
 			list($tot)  = $restotv->fetch(PDO::FETCH_NUM);
-			
 			$i=0;
 			// lista o gruppo
-			if ($genere!=4){
-			         
+			if ($genere!=4 and !$id_gruppo){
 				if ($votog){
-				
-				$sql="select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.voti) as somma
-				from ".$prefix."_ele_gruppo as t1,
-				".$prefix."_ele_voti_lista as t2,
-				".$prefix."_ele_lista as t3
-        			where 	t1.id_cons='$id_cons'
-				and t2.id_lista=t3.id_lista
-				and t1.id_gruppo=t3.id_gruppo
-				group by t1.id_gruppo
-				order by somma desc";
-				$res = $dbi->prepare("$sql");
-				$res->execute();
-				$cosa='id_gruppo';
-				
+					$sql="select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.voti) as somma
+					from ".$prefix."_ele_gruppo as t1,
+					".$prefix."_ele_voti_lista as t2,
+					".$prefix."_ele_lista as t3
+					where 	t1.id_cons='$id_cons'
+					and t2.id_lista=t3.id_lista
+					and t1.id_gruppo=t3.id_gruppo
+					group by t1.id_gruppo
+					order by somma desc";
+					$res = $dbi->prepare("$sql");
+					$res->execute();
+					$cosa='id_gruppo';
 				}else{
-				
-			
-			        $sql="select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.voti) as somma
-				from ".$prefix."_ele_gruppo as t1
-        			left join ".$prefix."_$tab as t2 on (t1.id_gruppo=t2.id_gruppo)
-				where 	t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons $circondt1
-				group by t1.id_gruppo,t1.num_gruppo,t1.descrizione
-				order by somma desc";
-				$res = $dbi->prepare("$sql");
-				$res->execute();
-				$cosa='id_gruppo';
-			       }
-			
-			
+					$sql="select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.voti) as somma
+					from ".$prefix."_ele_gruppo as t1
+					left join ".$prefix."_$tab as t2 on (t1.id_gruppo=t2.id_gruppo)
+					where 	t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons $circondt1
+					group by t1.id_gruppo,t1.num_gruppo,t1.descrizione
+					order by somma desc";
+					$res = $dbi->prepare("$sql");
+					$res->execute();
+					$cosa='id_gruppo';
+				}
 			}else{
 				$sql="select t1.id_lista, t1.num_lista, t1.descrizione, sum(t2.voti) as somma
 				from ".$prefix."_ele_lista as t1
-        		left join ".$prefix."_$tab as t2 on (t1.id_lista=t2.id_lista)
-				where 	t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons
+				left join ".$prefix."_$tab as t2 on (t1.id_lista=t2.id_lista)
+				where 	t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons $idgrp
 				group by t1.id_lista,t1.num_lista,t1.descrizione
 				order by somma desc";
@@ -162,54 +154,20 @@
 			}
 
-		
-					
-#				$gruppinum=$res->fetch(PDO::FETCH_NUM);
-				$altrivoti=0;
-				while (list($id,$num,$descrizione,$voti)  = $res->fetch(PDO::FETCH_NUM)){
-
-				
-				
-				// funz per il taglio corretto della frase 13 feb 2007
-				
-				$gruppo[$i]=substr($descrizione,0,25);
-				
-				//if (strlen($descrizione)>25) $gruppo[$i].="...";
-				
-				$pro[$i]=number_format($voti*100/$tot,2);
-				
-
-
-				$idg[$i]=$id;	
-				
-
-
-			
-		       
+#			$gruppinum=$res->fetch(PDO::FETCH_NUM);
+			$altrivoti=0;
+			while (list($id,$num,$descrizione,$voti)  = $res->fetch(PDO::FETCH_NUM)){
+			// funz per il taglio corretto della frase 13 feb 2007
+			$gruppo[$i]=substr($descrizione,0,25);
+			//if (strlen($descrizione)>25) $gruppo[$i].="...";
+			$pro[$i]=number_format($voti*100/$tot,2);
+			$idg[$i]=$id;	
 			$i++;
 		}
-		
-
-
 		include_once("language/lang-$lang.php");
 		$titolo=""._PERCE." "._VOTIE."";
-		
-		
-		
-
-		
-		
-
 		return array($gruppo,$pro,$titolo,$idg);
-                
-               
-
 	  }
-
 	}
-
-
 }
 
-
-
 ?>
Index: /trunk/client/versione.php
===================================================================
--- /trunk/client/versione.php	(revision 419)
+++ /trunk/client/versione.php	(revision 420)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 419";
+$versione = "3.0 rev 420";
 $version_number = $versione;
-$datarel = "31 maggio 2024";
+$datarel = "03 giugno 2024";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 