Index: trunk/client/modules/Elezioni/grafici.php
===================================================================
--- trunk/client/modules/Elezioni/grafici.php	(revision 417)
+++ trunk/client/modules/Elezioni/grafici.php	(revision 421)
@@ -24,6 +24,4 @@
 list($id_cons) = $res->fetch(PDO::FETCH_NUM);
 
-
-if($flash=='1') include "class/charts.php";
 
 /***********************************
@@ -102,6 +100,12 @@
 			echo  "<tr><td>&nbsp;"._AVENTI.": </td><td><img src=\"modules/Elezioni/images/barre/leftbar.jpg\" height=\"$l_size[1]\" width=\"$l_size[0]\" alt=\"elettori\" /><img src=\"modules/Elezioni/images/barre/mainbar.jpg\" alt=\"elettori\" height=\"$m_size[1]\" width=\"".(100 * 2)."\" /><img src=\"modules/Elezioni/images/barre/rightbar.jpg\" height=\"$r_size[1]\" width=\"$r_size[0]\" alt=\"elettori\" /> 100 % ($tot_gen)</td></tr></table>";
 			 echo "</td></tr></table>";
-		}	
+		}
     }
+	 $gruppi=array('Hanno votato','Non hanno votato');
+	 $resto=100-$perc;
+	 $valori=array($perc,$resto);
+	 echo "<center>";
+	 torta($gruppi,$valori);
+	 echo "</center>";		
 }
 
@@ -111,5 +115,5 @@
 
 function graf_votanti(){
-global $op, $prefix, $dbi, $offset, $min,$descr_cons,$genere,$votog,$votol,$votoc,$circo, $id_cons,$tipo_cons,$id_comune,$id_cons_gen,$id_circ,$csv,$w,$l,$siteistat,$flash,$tour,$tema,$copy;
+global $op, $prefix, $dbi, $offset, $min,$descr_cons,$genere,$votog,$votol,$votoc,$circo, $id_cons,$tipo_cons,$id_comune,$id_cons_gen,$id_circ,$csv,$w,$l,$siteistat,$tour,$tema,$copy;
 
 
@@ -128,6 +132,6 @@
 	modules.php?name=Elezioni&amp;op=come&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;info=votanti\">"._DETTAGLIO." "._VOTANTI."<img class=\"image\" src=\"modules/Elezioni/images/dettagli.png\" alt=\"votanti\" /></a>
 	<a href=\" modules.php?name=Elezioni&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;op=graf_votanti&amp;csv=1&amp;flash=\">"._VER_STAMPA." <img class=\"image\" src=\"modules/Elezioni/images/printer.png\" alt=\"stampa\" /></a>";
-	if($flash==1) 
-		echo "<a href=\" modules.php?name=Elezioni&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;op=graf_votanti&amp;csv=&amp;anim=$anim\">$versione <img class=\"image\" src=\"modules/Elezioni/images/grafici.gif\" alt=\"flash\" /></a>";
+#	if($flash==1) 
+#		echo "<a href=\" modules.php?name=Elezioni&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;op=graf_votanti&amp;csv=&amp;anim=$anim\">$versione <img class=\"image\" src=\"modules/Elezioni/images/grafici.gif\" alt=\"flash\" /></a>";
         echo "</div>";
       }
@@ -345,5 +349,5 @@
 
 function graf_gruppo($visgralista){
-global $admin, $bgcolor1, $bgcolor5, $prefix, $dbi, $offset, $min,$descr_cons,$genere,$votog,$votol,$votoc,$circo, $id_cons,$id_cons_gen,$id_comune,$id_circ,$tipo_cons,$w,$l,$op,$siteistat,$flash,$tema,$copy;
+global $admin, $bgcolor1, $bgcolor5, $prefix, $dbi, $offset, $min,$descr_cons,$genere,$votog,$votol,$votoc,$circo, $id_cons,$id_cons_gen,$id_comune,$id_circ,$tipo_cons,$w,$l,$op,$siteistat,$tema,$copy;
 	if ($siteistat==$id_comune) $logo=$siteistat; else $logo=''; // logo per il  comune
 	$logo=verificasimbolo(); // carica_logo da funzioni.php
@@ -456,7 +460,7 @@
                 			// variabili stampa flash
 					$e=0;
-					$gruppos[$e]="";
-					$pre[$e]="";
-					$e=1;
+#					$gruppos[$e]="";
+#					$pre[$e]="";
+#					$e=1;
 					// fine 
 				$gruppinum=$res->rowCount();
@@ -487,12 +491,15 @@
 				// funz per il taglio corretto della frase 13 feb 2007
 				//$descrizione=taglio(4,$descrizione);
-				
-				$gruppo[$i]=(substr($descrizione,0,21));
-				$gruppos[$e]=(substr($descrizione,0,21)); //flash
-
-				
-
-				if (strlen($descrizione)>21) $gruppo[$i].="...";
-				if (strlen($descrizione)>21) $gruppos[$e].="...";
+				if (strlen($descrizione)<18){
+					$gruppo[$i]=(substr($descrizione,0,18));
+					$gruppos[$e]=(substr($descrizione,0,18)); //flash				
+				}else{
+					$gruppo[$i]=(substr($descrizione,0,15));
+					$gruppos[$e]=(substr($descrizione,0,15)); //flash
+				}
+				
+
+				if (strlen($descrizione)>16) $gruppo[$i].=".";
+				if (strlen($descrizione)>16) $gruppos[$e].=".";
 				$pro[$i]=number_format($arperc[$id],2); 
 				$pre[$e]=number_format($arperc[$id],2); //flash
@@ -560,5 +567,5 @@
 		echo "</td></tr></table><table><tr><td>";
 		# grafico flash
-		if($flash=='1') flash_torta($gruppos,$pre,40,145);
+		torta($gruppos,$pre);
 				$uno='';
 				foreach($gruppos as $k=>$v) $uno.="- $v";
@@ -633,5 +640,5 @@
                                 
 
-				if($flash=='1')flash_torta($gruppos,$pre,20,70); 
+				torta($gruppos,$pre); 
 
 
@@ -746,44 +753,36 @@
 
 
-
-function flash_torta($gruppos,$pre,$y,$x){
-//if (!defined('FLASH')) die();
-include_once ("class/charts.php");
-// inizio grafico torta flash
-		
-               
-                
-		$chart[ 'chart_data' ] = array ($gruppos, $pre);
-//		$chart[ 'chart_data' ] = array ( array ("","Ciao", "Bella"), array ( "",40, 60));
-		$chart[ 'chart_grid_h' ] = array ( 'thickness'=>0 );
-		$chart[ 'chart_pref' ] = array ( 'rotation_x'=>60 ); 
-		$chart[ 'chart_rect' ] = array ( 'x'=>$x, 'y'=>$y, 'width'=>350, 'height'=>200, 'positive_alpha'=>0 );
-		$chart[ 'chart_transition' ] = array ( 'type'=>"spin", 'delay'=>.5, 'duration'=>.75, 'order'=>"category" );
-		$chart[ 'chart_type' ] = "3d pie";
-		$chart[ 'chart_value' ] = array ( 'color'=>"000000", 'alpha'=>150, 'font'=>"arial", 'bold'=>true, 'size'=>10, 'position'=>"inside", 'prefix'=>"", 'suffix'=>"", 'decimals'=>2, 'separator'=>"", 'as_percentage'=>true );
-
-		$chart[ 'draw' ] = array ( array ( 'type'=>"text", 'color'=>"000000", 'alpha'=>4, 'size'=>40, 'x'=>50, 'y'=>260, 'width'=>500, 'height'=>50, 'text'=>"56789012345678901234", 'h_align'=>"center", 'v_align'=>"middle" )) ;
-
-		$chart[ 'legend_label' ] = array ( 'layout'=>"horizontal", 'bullet'=>"circle", 'font'=>"arial", 'bold'=>true, 'size'=>10, 'color'=>"000000", 'alpha'=>85 ); 
-		$chart[ 'legend_rect' ] = array ( 'x'=>0, 'y'=>45, 'width'=>50, 'height'=>210, 'margin'=>10, 'fill_color'=>"00ff00", 'fill_alpha'=>30, 'line_color'=>"000000", 'line_alpha'=>0, 'line_thickness'=>0 );  
-		$chart[ 'legend_transition' ] = array ( 'type'=>"dissolve", 'delay'=>0, 'duration'=>4 );
-
-		$chart[ 'series_color' ] = array ( "00ff88", "ffaa00","44aaff", "aa00ff" ); 
-		$chart[ 'series_explode' ] = array ( 25, 75, 0, 0 );
-		$fileout="";
-/////////////////////////////// MODIFICHE PER TOGLIERE FILETEMP
-//		$fileout=SendChartData ( $chart );
-		$xml=SendChartData ( $chart );
-		$max=isset($_SESSION['max']) ? $_SESSION['max']:0;
-		$max++;
-		$cur="xml$max";
-		$_SESSION[$cur]=$xml;
-		$_SESSION['max']=$max;
-		$fileout="modules.php?file=graf&pos=$cur";
-///////////////////////////////	
-		echo InsertChart ( "class/charts.swf", "class/charts_library","$fileout" );
-		
-		// Fine Grafico torta flash
-		echo "<noembed>Elemento non supportato!<br/>Grafico a torta</noembed>";
+function torta($gruppos,$pre){
+	echo '<div id="piechart" style="width:1000px; height:500px;text-align:center;"></div>';
+
+	echo '<script>google.charts.load("current", {"packages":["corechart"]});
+	google.charts.setOnLoadCallback(drawChart);
+
+	function drawChart() {		  
+	  var data = google.visualization.arrayToDataTable([
+		["Task", "Affluenze"]';
+		$x=0;
+		foreach($gruppos as $key=>$val)
+					echo ',["'.$val.' '.$pre[$x].'%", '.$pre[$x++].']';
+					
+		echo ']);
+	  var options = {
+		title: "",
+		is3D:true,
+		 pieSliceText: "label",
+		 pieSliceTextStyle: {
+			color: "#000",
+			bold:true,
+			fontSize:9
+		  },
+		 slices: {
+			0: { color: "#ff0000", textStyle:{color:"#fff"}},
+			1: { color: "#ffff00" }
+		  }
+	  };
+	  var chart = new google.visualization.PieChart(document.getElementById("piechart"));
+
+	  chart.draw(data, options);
+	}</script>';
   
 
@@ -794,6 +793,4 @@
 
 
-
-
 ?>
 