Index: /trunk/admin/modules/Elezioni/ele_colora_sez.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_colora_sez.php	(revision 421)
+++ /trunk/admin/modules/Elezioni/ele_colora_sez.php	(revision 422)
@@ -20,8 +20,8 @@
 	$res->execute();	
 }else{ #candidati
-	$sql="SELECT t1.num_cand FROM ".$prefix."_ele_voti_candidati as t1 left join ".$prefix."_ele_candidati as t2 on t1.id_cand=t2.id_cand where t1.id_cons='$id_cons' and t1.id_sez='$id_sez'";
+	$sql="SELECT t2.id_lista FROM ".$prefix."_ele_voti_candidati as t1 left join ".$prefix."_ele_candidati as t2 on t1.id_cand=t2.id_cand where t1.id_cons='$id_cons' and t1.id_sez='$id_sez' group by t2.id_lista";
 	$res = $dbi->prepare("$sql");
 	$res->execute();
-	$liste=$res->rowCount();
+	$liste=$res->rowCount(); 
 	list($listescru)=$res->fetch(PDO::FETCH_NUM);
 	if($res->rowCount() and $listescru==0) {$listescru=1;$liste=0;} 
@@ -30,9 +30,15 @@
 	$res->execute();
 	list($ltot)=$res->fetch(PDO::FETCH_NUM);
-	if(($liste && $liste==$ltot) or $listescru){
+	if(($liste && $liste==$ltot)){
 		$sezstat=2;
 		$sql="UPDATE ".$prefix."_ele_sezioni set colore='#99CC33' where id_cons='$id_cons' and id_sez='$id_sez'"; ;#VERDE
 		$res = $dbi->prepare("$sql");
 		$res->execute();	
+	}elseif($liste){
+		$sezstat=2;
+		$sql="UPDATE ".$prefix."_ele_sezioni set colore='#99ee33' where id_cons='$id_cons' and id_sez='$id_sez'"; ;#VERDE
+		$res = $dbi->prepare("$sql");
+		$res->execute();	
+
 	}
 	if(!$sezstat) { #liste
Index: /trunk/admin/modules/Elezioni/ele_controlli.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_controlli.php	(revision 421)
+++ /trunk/admin/modules/Elezioni/ele_controlli.php	(revision 422)
@@ -304,8 +304,14 @@
 	$res->execute();
 	list($genere,$votog)=$res->fetch(PDO::FETCH_NUM);
-	$sql="SELECT preferenze,disgiunto,solo_gruppo,id_fascia FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'";
-	$res = $dbi->prepare("$sql");
-	$res->execute();
-	list($prefs,$disg,$solog,$fascia)=$res->fetch(PDO::FETCH_NUM);
+	$sql="SELECT preferenze,disgiunto,solo_gruppo,id_fascia,id_conf FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	list($prefs,$disg,$solog,$fascia,$id_conf)=$res->fetch(PDO::FETCH_NUM);
+	$sql="SELECT supdisgiunto FROM ".$prefix."_ele_conf where id_conf='$id_conf'";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	if($res->rowCount()) 
+		list($supdis)=$res->fetch(PDO::FETCH_NUM);
+	else $supdis=0;
 	if($id_lista){
 		$err=controllo_votic($id_cons,$id_sez,$id_lista);
@@ -359,4 +365,5 @@
 			$tvl=0;
 			if($resref->rowCount()){
+				$totg=0;$totl=0;
 				while (list($idg,$votig,$svg)=$resref->fetch(PDO::FETCH_NUM)) {
 					$sql="SELECT id_lista FROM ".$prefix."_ele_lista where id_gruppo='$idg'";
@@ -382,9 +389,14 @@
 						$totlis+=$votil;
 						$totsl+=$svl;
-						$tnl+=$nl;
-						if(($votig+$svl)<($votil+$svg+$nl) and (!$solog and !$disg))
+						$tnl+=$nl; 
+						if(($votig+$svl)!=($votil+$svg+$nl) and (!$supdis and !$disg))
 						{ $err=1; $tipo='lista'; break; }
-					}				
+					}
+					$totg+=($votig+$svl);$totl+=($votil+$svg+$nl); #$svl da ele_voti_gruppo e $solog da ele_sezioni
+					
 				}
+				if(($totg)!=($totl+$nullil+$contestatil) or $totsg!=$solog)
+				{ $err=1; $tipo='lista';}
+				
 			}else{
 			#inserire controllo per consultazioni con voto alle liste ma senza voto di gruppo	
Index: /trunk/admin/modules/Elezioni/ele_spoglio.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_spoglio.php	(revision 421)
+++ /trunk/admin/modules/Elezioni/ele_spoglio.php	(revision 422)
@@ -335,5 +335,5 @@
 		if ((!$id_lista)){$tab="_ele_voti_lista";} else {$tab="_ele_voti_candidati";}
 		if(($genere==4 or ($genere==5 and $votog)) and !$id_lista)	{
-			$sql="SELECT sum(t1.voti),t2.validi, t2.solo_gruppo,t2.contestati_lista,t2.voti_nulli,t2.bianchi,t2.nulli,t2.contestati,0,0 from ".$prefix."_ele_sezioni as t2 left join ".$prefix.$tab." as t1 on (t1.id_sez=t2.id_sez) where t2.id_sez=$id_sez group by t1.id_sez";
+			$sql="SELECT sum(t1.voti),t2.validi, t2.solo_gruppo,t2.contestati_lista,t2.voti_nulli,t2.bianchi,t2.nulli,t2.contestati,0,0 from ".$prefix."_ele_sezioni as t2 left join ".$prefix.$tab." as t1 on (t1.id_sez=t2.id_sez) where t2.id_sez=$id_sez group by t1.id_sez,t2.validi, t2.solo_gruppo,t2.contestati_lista,t2.voti_nulli,t2.bianchi,t2.nulli,t2.contestati";
 			$result = $dbi->prepare("$sql");
 			$result->execute();
Index: /trunk/admin/versione.php
===================================================================
--- /trunk/admin/versione.php	(revision 421)
+++ /trunk/admin/versione.php	(revision 422)
@@ -1,5 +1,5 @@
 <?php
 
-$versione = "3.0 rev 421";
+$versione = "3.0 rev 422";
 $version_number = $versione;
 $datarel = "05 giugno 2024";
Index: /trunk/client/versione.php
===================================================================
--- /trunk/client/versione.php	(revision 421)
+++ /trunk/client/versione.php	(revision 422)
@@ -1,5 +1,5 @@
 <?php
 
-$versione = "3.0 rev 421";
+$versione = "3.0 rev 422";
 $version_number = $versione;
 $datarel = "05 giugno 2024";