Index: /trunk/admin/modules/Elezioni/aggiornamento.php
===================================================================
--- /trunk/admin/modules/Elezioni/aggiornamento.php	(revision 426)
+++ /trunk/admin/modules/Elezioni/aggiornamento.php	(revision 427)
@@ -94,9 +94,9 @@
 function risultati()
 {
-	global $ctrlerr,$righe,$righedb;
+	global $ctrlerr,$righe,$righedb,$varmex;
 	if($ctrlerr)
 		echo "<hr><br><h2 style=\"text-align:center;color:red;\">Aggiornamento completato con errori<br>Controllare i log di aggiornamento del database</h2><hr>";
-	else
-		echo "<hr><br><h2 style=\"text-align:center;\">Aggiornamento completato</h2><br><hr>";
+	else 
+		echo "<hr><br><h2 style=\"text-align:center;\">Aggiornamento completato $varmex</h2><br><hr>";
 	echo "<br><h3>Log delle operazioni</h3>";
 
@@ -325,4 +325,10 @@
 		mkdir($backup, 0755);
 #	}
+
+if(file_exists("$trunkadm/variabili.php")) {
+	rename("$trunkadm/variabili.php","$trunkadm/variabili_new.php");
+	$righe.= "<h3>NOTA: Nell'aggiornamento Ãš presente una modifica al file variabili.php, il file Ãš stato salvato come variabili_new.php.<br>Va eseguito un controllo e un eventuale aggiornamento manuale del file.</h3>";
+	
+}
 $righe.= "<br><br><b>Copio i nuovi files nell'installazione di amministrazione locale</b>";
 recurse_copy($trunkadm,$admin,$backup.'/admin/');
@@ -392,8 +398,10 @@
 echo $righe;
 echo "<div id=\"wrapper\">";
-echo "<br><p>Operazioni effettuate sul db: </p>";
-echo "<div id=\"feed_div\">";
-echo $righedb;
-echo "</div>";
+if(strlen($righedb)) {
+	echo "<br><p>Operazioni effettuate sul db: </p>";
+	echo "<div id=\"feed_div\">";
+	echo $righedb;
+	echo "</div>";
+} else echo "<br><b>Non ci sono operazioni da eseguire sul DB</b></p>";
 echo "</div>";
 echo "<br><b>Operazioni di aggiornamento concluse.</b><br>";
Index: /trunk/admin/modules/Elezioni/ele.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele.php	(revision 426)
+++ /trunk/admin/modules/Elezioni/ele.php	(revision 427)
@@ -169,6 +169,6 @@
 		</b></font></font>
 		</td>";
+			echo "<td valign=\"top\" align=\"left\" width=\"150\">";		
 		if(!$BACKUP){
-			echo "<td valign=\"top\" align=\"left\" width=\"150\">";		
 			echo "<a href=\"admin.php?op=configurazione&amp;id_cons_gen=$id_cons_gen\">$bullet"._CONFIGURAZIONE."</a><br>";
 			if($op=="configurazione" || $op=="widget" || $op=="plugin"){ 
@@ -177,22 +177,24 @@
 				echo "<hr>";
 			}
-			if(isset($_SESSION['remoterev'])) {
-				$newrev=$_SESSION['remoterev'];
-			} else {
-				$rev=0;
-				if ($stream = fopen('http://mail.eleonline.it/version/risposta.php', 'r')) {
-					$rev= stream_get_contents($stream, 4);
-					fclose($stream);
-				}
-				$newrev=(int) filter_var($rev, FILTER_SANITIZE_NUMBER_INT);
-				$_SESSION['remoterev']=$newrev;		
-				$myrev=intval(substr($versione,-4,4));
-				$_SESSION['localrev']=$myrev;
-
-
-			}	
-			$myrev=$_SESSION['localrev'];
-			if($newrev==$myrev or $newrev==0) echo "<a href=\"admin.php?op=aggiorna&amp;id_cons_gen=$id_cons_gen\">$bullet"._AGGIORNA."</a><br>";
-			else	echo "<a href=\"admin.php?op=aggiorna&amp;id_cons_gen=$id_cons_gen\">$bullet_red<b>"._AGGIORNA."</b></a><br>";
+		}
+		if(isset($_SESSION['remoterev'])) {
+			$newrev=$_SESSION['remoterev'];
+		} else {
+			$rev=0;
+			if ($stream = fopen('http://mail.eleonline.it/version/risposta.php', 'r')) {
+				$rev= stream_get_contents($stream, 4);
+				fclose($stream);
+			}
+			$newrev=(int) filter_var($rev, FILTER_SANITIZE_NUMBER_INT);
+			$_SESSION['remoterev']=$newrev;		
+			$myrev=intval(substr($versione,-4,4));
+			$_SESSION['localrev']=$myrev;
+
+
+		}	
+		$myrev=$_SESSION['localrev'];
+		if($newrev==$myrev or $newrev==0) echo "<a href=\"admin.php?op=aggiorna&amp;id_cons_gen=$id_cons_gen\">$bullet"._AGGIORNA."</a><br>";
+		else	echo "<a href=\"admin.php?op=aggiorna&amp;id_cons_gen=$id_cons_gen\">$bullet_red<b>"._AGGIORNA."</b></a><br>";
+		if(!$BACKUP){
 			echo "<a href=\"admin.php?op=confconsiglio&amp;id_cons_gen=$id_cons_gen\">$bullet"._CONFCONS."</a>
 			</td></tr><tr align=\"left\" bgcolor=\"$bgcolor1\"><td>
@@ -204,5 +206,5 @@
 			<a href=\"admin.php?op=associazioni&amp;id_cons_gen=$id_cons_gen\">$bullet"._INSCOMUNE."</a>";
 		}else{
-			echo "</tr><tr align=\"left\" bgcolor=\"$bgcolor1\"><td valign=\"top\" align=\"left\" width=\"150\"  rowspan=\"2\">";		
+			echo "</td></tr><tr align=\"left\" bgcolor=\"$bgcolor1\"><td valign=\"top\" align=\"left\" width=\"150\"  rowspan=\"2\">";		
 			echo "<a href=\"admin.php?op=aggcons&amp;id_cons_gen=$id_cons_gen\">$bullet"._AGGDATI."</a>";
 			echo "</td></tr><tr><td>";
Index: /trunk/admin/modules/Elezioni/language/lang-en.php
===================================================================
--- /trunk/admin/modules/Elezioni/language/lang-en.php	(revision 426)
+++ /trunk/admin/modules/Elezioni/language/lang-en.php	(revision 427)
@@ -160,4 +160,6 @@
 define("_CIRCS","Constituencies");
 }
+define("_AGGIORNA","Upgrade Rev");
+define("_AGGDATI","Update DB data");
 define("_VISAFFMF","Gender votes");
 define("_DISGIUNTO","One ballot for two separate votes?");
Index: /trunk/admin/modules/Elezioni/language/lang-it.php
===================================================================
--- /trunk/admin/modules/Elezioni/language/lang-it.php	(revision 426)
+++ /trunk/admin/modules/Elezioni/language/lang-it.php	(revision 427)
@@ -207,5 +207,5 @@
 define("_CIRCS","Circoscrizioni");
 }
-define("_AGGIORNA","Aggiornamento");
+define("_AGGIORNA","Aggiornamento Rev");
 define("_VISAFFMF","Affluenze per genere");
 define("_DISGIUNTO","Unica scheda con voti indipendenti?");
@@ -219,5 +219,5 @@
 define("_SPUNTAELIMINA","Metti la spunta per abilitare la cancellazione dei dati (solo voti e votanti):");
 define("_DATI","i dati dello spoglio");
-define("_AGGDATI","Aggiorna i dati");
+define("_AGGDATI","Aggiorna i dati del DB");
 define("_SPUNTALABEL1","Abilita la cancellazione");
 define("_SPUNTALABEL2","Cancella anche candidati e struttura");
Index: /trunk/admin/versione.php
===================================================================
--- /trunk/admin/versione.php	(revision 426)
+++ /trunk/admin/versione.php	(revision 427)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 426";
+$versione = "3.0 rev 427";
 $version_number = $versione;
-$datarel = "04 ottobre 2024";
+$datarel = "05 ottobre 2024";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
Index: /trunk/client/header.php
===================================================================
--- /trunk/client/header.php	(revision 426)
+++ /trunk/client/header.php	(revision 427)
@@ -20,5 +20,5 @@
 	}
 
-
+if(!file_exists("temi/$tema/index.php")) {$tema='default'; $_SESSION['tema']=$tema;} 
 include("temi/$tema/index.php"); 
 include("modules/Elezioni/language/lang-$lang.php");
Index: /trunk/client/versione.php
===================================================================
--- /trunk/client/versione.php	(revision 426)
+++ /trunk/client/versione.php	(revision 427)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 426";
+$versione = "3.0 rev 427";
 $version_number = $versione;
-$datarel = "04 ottobre 2024";
+$datarel = "05 ottobre 2024";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 