Index: /trunk/admin/admin.php
===================================================================
--- /trunk/admin/admin.php	(revision 427)
+++ /trunk/admin/admin.php	(revision 428)
@@ -513,5 +513,7 @@
 		list($id_sez) = $resmod->fetch(PDO::FETCH_NUM); 
 		if($id_sez) {
-			$sql="select t1.id_cons_gen,t1.descrizione,t2.id_cons from ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune=$id_comune and date_add(t1.data_fine, interval 3 day)>CURDATE() and t2.id_cons in (select id_cons from ".$prefix."_ele_operatori where aid='$aid' and id_sez>0 and permessi>0)";
+			if(isset($id_cons_gen) and $id_cons_gen>0) {$singola="and t1.id_cons_gen=$id_cons_gen";}
+			else{ $singola='';}
+			$sql="select t1.id_cons_gen,t1.descrizione,t2.id_cons from ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen $singola and t2.id_comune=$id_comune and date_add(t1.data_fine, interval $giorniaut day)>CURDATE() and t2.id_cons in (select id_cons from ".$prefix."_ele_operatori where aid='$aid' and id_sez>0 and permessi>0)";
 			$resmod = $dbi->prepare("$sql");
 			$resmod->execute();
@@ -520,5 +522,5 @@
 				$tema='Futura2'; 
 				$_SESSION['tema']=$tema;
-			} #else {die("TEST: $sql"); logout();}
+			} 
 		}
 	} 
@@ -529,5 +531,4 @@
 #echo "op:".$param['op']." -- aid:".$_SESSION['aid']."remote:".$_SESSION['remote']."REMOTE:".$_SERVER['REMOTE_ADDR'];
 if (isset($param['op'])) $op=addslashes($param['op']); else $op='ele';
-//if (isset($param['op'])) $op=$param['op']; else $op='ele';
 #
 #die("TEST: qui2 op:$op - $aid $id_cons $id_sez ".$_SESSION['aid']);
Index: /trunk/admin/modules/Elezioni/language/lang-it.php
===================================================================
--- /trunk/admin/modules/Elezioni/language/lang-it.php	(revision 427)
+++ /trunk/admin/modules/Elezioni/language/lang-it.php	(revision 428)
@@ -23,4 +23,5 @@
 		define("_CONSI","Consigliere");
 		define("_DESCRCONS","PROVINCIALI");
+		define("_TABGRUPPO","gruppo");
 		break;
 	case 2:
@@ -30,4 +31,5 @@
 		define("_PRESI","Quesito");
 		define("_DESCRCONS","REFERENDUM");
+		define("_TABGRUPPO","gruppo");
 		break;
 	case 3:
@@ -43,4 +45,5 @@
 		define("_DESCRCONS","COMUNALI");
 		define("_PROIEZIONE","Proiezione<br>Consiglio");
+		define("_TABGRUPPO","gruppo");
 		break;
 	case 4:
@@ -52,4 +55,5 @@
 		define("_LISTA","Lista");
 		define("_LISTAPREF","Lista e Preferenza");
+		define("_TABGRUPPO","gruppo");
 		break;
 	case 5: 
@@ -61,4 +65,5 @@
 		define("_CANDIDATO","Candidato");
 		define("_DESCRCONS","BALLOTTAGGIO");
+		define("_TABGRUPPO","gruppo");
 		break;
 	case 6:
@@ -68,4 +73,5 @@
 		define("_GRUPPOLOGO","Logo della Lista");
 		define("_DESCRCONS","CAMERA SENZA GRUPPI");
+		define("_TABGRUPPO","lista");
 		break;
 	case 7:
@@ -75,4 +81,5 @@
 		define("_GRUPPOLOGO","Logo della Lista");
 		define("_DESCRCONS","SENATO SENZA GRUPPI");
+		define("_TABGRUPPO","lista");
 		break;
 	case 8:
@@ -85,4 +92,5 @@
 		define("_CONSI","Candidato Lista");
 		define("_DESCRCONS","EUROPEE");
+		define("_TABGRUPPO","lista");
 		break;
 	case 9:
@@ -95,4 +103,5 @@
 		define("_SOLO_GRUPPO","Voti al solo candidato Presidente");
 		define("_DESCRCONS","REGIONALI");
+		define("_TABGRUPPO","gruppo");
 		break;
 	case 10: //dal 2006 per senato e camera si ha un raggruppamento delle liste ma senza possibilità di voto per il gruppo
@@ -102,4 +111,5 @@
 		define("_CANDIDATO","Candidato");
 		define("_DESCRCONS","SENATO CON GRUPPI");
+		define("_TABGRUPPO","lista");
 		break;
 	case 11:
@@ -109,4 +119,5 @@
 		define("_CANDIDATO","Candidato");
 		define("_DESCRCONS","CAMERA CON GRUPPI");
+		define("_TABGRUPPO","lista");
 		break;
 	case 12:
@@ -120,4 +131,5 @@
 		define("_CONSI","Consigliere");
 		define("_DESCRCONS","PROVINCIALI");
+		define("_TABGRUPPO","gruppo");
 		break;
 	case 13: 
@@ -129,4 +141,5 @@
 		define("_CANDIDATO","Candidato");
 		define("_DESCRCONS","BALLOTTAGGIO");
+		define("_TABGRUPPO","gruppo");
 		break;
 	case 14:
@@ -139,4 +152,5 @@
 		define("_CANDIDATO","Candidato");
 		define("_DESCRCONS","EUROPEE");
+		define("_TABGRUPPO","lista");
 		break;
 	case 15:
@@ -146,7 +160,8 @@
 		define("_CANDIDATO","Candidato");
 		define("_DESCRCONS","CAMERA CON GRUPPI");
+		define("_TABGRUPPO","lista");
 		break;
 	case 16: 
-		define("_SOLO_GRUPPO","Voti al solo candidato Sindaco");
+		define("_SOLO_GRUPPO","Voti al solo gruppo");
 		define("_CONSULTAZIONE","Consultazione Senato"); //genere 2
 		define("_GRUPPO","Coalizione");
@@ -154,4 +169,5 @@
 		define("_CANDIDATO","Candidato");
 		define("_DESCRCONS","SENATO CON GRUPPI");
+		define("_TABGRUPPO","lista");
 		break;
 	case 17:
@@ -163,4 +179,5 @@
 		define("_CANDIDATO","Candidato");
 		define("_DESCRCONS","REGIONALI");
+		define("_TABGRUPPO","gruppo");
 		break;
     case 18:
@@ -175,4 +192,5 @@
 		define("_DESCRCONS","CAMERA");
 		define("_NULLISTA",0);
+		define("_TABGRUPPO","lista");
 		break;
     case 19:
@@ -187,4 +205,5 @@
 		define("_DESCRCONS","CAMERA");
 		define("_NULLISTA",0);
+		define("_TABGRUPPO","lista");
 		break;
 
Index: /trunk/admin/versione.php
===================================================================
--- /trunk/admin/versione.php	(revision 427)
+++ /trunk/admin/versione.php	(revision 428)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 427";
+$versione = "3.0 rev 428";
 $version_number = $versione;
-$datarel = "05 ottobre 2024";
+$datarel = "09 ottobre 2024";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
Index: /trunk/client/versione.php
===================================================================
--- /trunk/client/versione.php	(revision 427)
+++ /trunk/client/versione.php	(revision 428)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 427";
+$versione = "3.0 rev 428";
 $version_number = $versione;
-$datarel = "05 ottobre 2024";
+$datarel = "09 ottobre 2024";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 